package pps.core.common.constant;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;

/**
 * 业务操作常量
 *
 * @author ZWT
 * @date 2023/09/05 14:40
 */
public class BusinessConstant {

    /**
     * 初始父级组织机构ID
     */
    public static final String PARENT_OU_ID = "00000000-0000-0000-0000-000000000000";

    /**
     * 光伏电站
     */
    public static final String PHOTOVOLTAIC_POWER_STATION = "photovoltaic_power_station";

    /**
     * 井口
     */
    public static final String WELLHEAD = "wellhead";

    /*------------------------------数字------------------------------*/

    /**
     * 1
     */
    public static final Integer ONE = 1;

    /**
     * 0
     */
    public static final Integer ZERO = 0;

    /**
     * 10
     */
    public static final Integer TEN = 10;

    /*------------------------------日期------------------------------*/

    /**
     * 日期格式化到天
     */
    public static final String DATE_FORMAT_DAY = "yyyy-MM-dd";

    /**
     * 日期格式化到天(年月日)
     */
    public static final String DATE_FORMAT_DAY_C = "yyyy年MM月dd日";

    /**
     * 时间格式
     */
    public static final String TIME_FORMAT = "HH:mm:ss";

    /**
     * 分钟格式
     */
    public static final String MINUTES_FORMAT = "HH:mm";

    /**
     * 初始化秒
     */
    public static final String INITIALIZATION_SECOND = ":00";

    /**
     * 一天结束时间
     */
    public static final String END_OF_DAY_TIME = "23:59";

    /**
     * 日期标志
     */
    public static final DateTime DATE_FLAG = DateUtil.parse("1970-01-02 00:00:00", "yyyy-mm-dd HH:mm:ss");

    /*------------------------------字典------------------------------*/

    /**
     * 线路类型
     */
    public static final String LINE_TYPE = "line_type";

    /**
     * 电网类型
     */
    public static final String GRID_TYPE = "grid_type";

    /**
     * 间开类型
     */
    public static final String INTERVAL_TYPE = "interval_type";

    /**
     * 单位级别
     */
    public static final String UNIT_LEVEL = "UNIT_LEVEL";

    /**
     * 运行类型
     */
    public static final String RUN_TYPE = "run_type";

    /**
     * 时段类型
     */
    public static final String TIME_FRAME = "time_frame";

    /**
     * 校准策略
     */
    public static final String CALIBRATION_STRATEGY = "calibration_strategy";

    /**
     * 发电类型
     */
    public static final String GENERATION_TYPE = "generation_type";
}
