package pps.core.space.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.space.entity.*;

import java.util.List;

/**
 * 间开优化
 *
 * @author ZWT
 * @date 2023/09/19 09:40
 */
@Repository(value = "pps.core.space.mapper.SpaceOptimizeViewMapper")
public interface SpaceOptimizeViewMapper {

    /**
     * 长期间开优化批量新增
     *
     * @param list 列表
     * @return int
     */
    int longPeriodBatchInsertList(@Param(value = "list") List<SpaceOptimizePeriodDTO> list);

    /**
     * 长期间开优化井口批量新增
     *
     * @param list 列表
     * @return int
     */
    int longWellheadBatchInsertList(@Param(value = "list") List<SpaceOptimizeWellheadDTO> list);

    /**
     * 长期间开优化井口配置批量新增
     *
     * @param list 列表
     * @return int
     */
    int longDurationBatchInsertList(@Param(value = "list") List<SpaceOptimizeDurationDTO> list);

    /**
     * 长期间开优化批量新增
     *
     * @param list 列表
     * @return int
     */
    int midPeriodBatchInsertList(@Param(value = "list") List<SpaceOptimizePeriodDTO> list);

    /**
     * 长期间开优化井口批量新增
     *
     * @param list 列表
     * @return int
     */
    int midWellheadBatchInsertList(@Param(value = "list") List<SpaceOptimizeWellheadDTO> list);

    /**
     * 长期间开优化井口配置批量新增
     *
     * @param list 列表
     * @return int
     */
    int midDurationBatchInsertList(@Param(value = "list") List<SpaceOptimizeDurationDTO> list);
}
