package pps.cloud.prediction.service.data.plant_predicted_power_data;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.util.List;

/**
 * 光伏预测Cloud模块
 *
 * @author ZWT
 * @date 2023/09/13
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class DynamicQueryPlantPredictedPowerInput {

    @XText("电站ID")
    private String plantId;

    @XText("电站ID集合")
    private List<String> plantIds;

    @XText("年")
    private String yearTime;

    @XText("月")
    private String monthTime;

    @XText("开始时间")
    private String startTime;

    @XText("结束时间")
    private String endTime;
}
